Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class YAnchor

    Object
      CodeList<E>
          SimpleEnumerationType<YAnchor>
              YAnchor

All Implemented Interfaces:
  Serializable, Comparable<YAnchor>

    public class YAnchor

extends SimpleEnumerationType<YAnchor>

Defines the various YAnchor types.

See Also:
  Serialized Form

Field Summary
`static YAnchor` | `BASELINE` Align to the baseline of the field.
`static YAnchor` | `BOTTOM` Align to the bottom of the field.
`static YAnchor` | `MIDDLE` Align the middle of the field.
`static YAnchor` | `TOP` Align to the top of the field.

Constructor Summary
`protected` | `YAnchor(String name, String description)` Construct a new YAnchor with the given name and description.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static int` | `getNumberOfStyles()` Deprecated. Use `values().length` instead.
`static YAnchor[]` | `values()` Returns the list of `YAnchor`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TOP

    public static final YAnchor TOP

  Align to the top of the field.

### MIDDLE

    public static final YAnchor MIDDLE

  Align the middle of the field.

### BASELINE

    public static final YAnchor BASELINE

  Align to the baseline of the field.

### BOTTOM

    public static final YAnchor BOTTOM

  Align to the bottom of the field.

Constructor Detail

### YAnchor

    protected YAnchor(String name,
                      String description)

  Construct a new YAnchor with the given name and description. This constructor should only be used to make the static constants in this class or by a provider subclasses to create implementation specific styles that can be accessed by `DisplayCapabilities.getSupportedYAnchors()`.

  Parameters:
    `name` - a String defining the name of the Arrow pattern.
    `description` - a String describing the pattern.

Method Detail

### getNumberOfStyles

    @Deprecated
    public static int getNumberOfStyles()

  Deprecated. Use `values().length` instead.

  Gets the number of `YAnchor`s that have been created.

  Returns:
    the number of styles.

### values

    public static YAnchor[] values()

  Returns the list of `YAnchor`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<YAnchor>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.